Subject: Re: KP for Kenwood tr2600

From: [email-masked] (Bob Schetgen)
Date: 20 Apr 92 15:38:04 GMT

I have a TR-2600, and a few years ago the keypad 
failed. The symptom was that buttons in one column of the 
pad did not work. I opened the radio up hoping to find a 
loose wire that I could re-attach--no such luck.
     The "keypad" is a PC board mounted directly behind the 
buttons. There are several diodes (and little else) on the 
board. I checked the diode closest to the affected buttons, 
and it had failed. Once it was replaced with a 
garden-variety switching diode, the radio worked fine. So, a 
new keypad may not be necessary. I hope this helps.

73, Bob.